%define upstream_name    URI-Find
%define upstream_version 20160806

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Find URIs in arbitrary text
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/M/MS/MSCHWERN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.300.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(URI) >= 1.600.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module does one thing: Finds URIs and URLs in plain text.
It finds them quickly and it finds them all (or what URI::URL
considers a URI to be.) It only finds URIs which include a scheme
(http:// or the like), for something a bit less strict have
a look at URI::Find::Schemeless.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# fix shebang (mga#23597)
perl -pi -e 's|#!.*perl|#!%{__perl}|' bin/urifind

%build
%__perl Build.PL --installdirs=vendor destdir=%{buildroot}
./Build

%check
./Build test

%install
./Build install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README TODO
%{perl_vendorlib}/URI/*
%{_bindir}/urifind
%{_mandir}/*/*


%changelog
* Mon Mar 28 2022 umeabot <umeabot> 20160806.0.0-5.mga9
+ Revision: 1830214
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 20160806.0.0-4.mga8
+ Revision: 1518062
- Mageia 8 Mass Rebuild

* Tue Oct 02 2018 wally <wally> 20160806.0.0-3.mga7
+ Revision: 1315539
- fix urifind executable shebang (mga#23597)

* Thu Sep 20 2018 umeabot <umeabot> 20160806.0.0-2.mga7
+ Revision: 1287143
- Mageia 7 Mass Rebuild

* Sun Jul 23 2017 shlomif <shlomif> 20160806.0.0-1.mga7
+ Revision: 1129059
- update to 20160806

* Sun Jun 19 2016 pterjan <pterjan> 20140709.0.0-6.mga6
+ Revision: 1035610
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 20140709.0.0-5.mga6
+ Revision: 939461
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20140709.0.0-4.mga5
+ Revision: 740646
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 20140709.0.0-3.mga5
+ Revision: 732599
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 20140709.0.0-2.mga5
+ Revision: 686770
- Mageia 5 Mass Rebuild

* Thu Jul 10 2014 sander85 <sander85> 20140709.0.0-1.mga5
+ Revision: 651038
- update to 20140709

* Thu Jul 03 2014 sander85 <sander85> 20140702.0.0-1.mga5
+ Revision: 642700
- update to 20140702

* Fri Jun 06 2014 jquelin <jquelin> 20111103.0.0-10.mga5
+ Revision: 633978
- perl 5.20 rebuild

* Thu Mar 20 2014 jquelin <jquelin> 20111103.0.0-9.mga5
+ Revision: 606112
- perl 5.18.2 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 20111103.0.0-8.mga4
+ Revision: 525784
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 jquelin <jquelin> 20111103.0.0-7.mga4
+ Revision: 434513
- perl 5.18.0 rebuild

* Mon Mar 18 2013 jquelin <jquelin> 20111103.0.0-6.mga3
+ Revision: 403844
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 20111103.0.0-5.mga3
+ Revision: 374559
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 20111103.0.0-4.mga3
+ Revision: 315058
- perl 5.16.2 shebang rebuild

* Fri Aug 24 2012 jquelin <jquelin> 20111103.0.0-3.mga3
+ Revision: 283585
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 20111103.0.0-2.mga3
+ Revision: 254315
- rebuild to fix new shebang with perl 5.16

* Sat Nov 05 2011 kharec <kharec> 20111103.0.0-1.mga2
+ Revision: 163653
- update to 20111103
+ takashi <takashi>
- update to 20111020

* Fri Oct 14 2011 jquelin <jquelin> 20100505.0.0-3.mga2
+ Revision: 155142
- perl 5.14.2 rebuild

* Sun Jun 19 2011 jquelin <jquelin> 20100505.0.0-2.mga2
+ Revision: 109900
- rebuild script for perl 5.14.1

* Fri Jan 21 2011 jquelin <jquelin> 20100505.0.0-1.mga1
+ Revision: 29305
- mageia rebuild
- imported package perl-URI-Find


* Mon Jul 12 2010 Jérôme Quelin <jquelin@mandriva.org> 20100505.0.0-1mdv2011.0
+ Revision: 551202
- update to 20100505

* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 20100211.0.0-1mdv2010.1
+ Revision: 504493
- update to 20100211

* Sun Jul 12 2009 Jérôme Quelin <jquelin@mandriva.org> 20090319.0.0-1mdv2010.0
+ Revision: 395186
- adding missing buildrequires:
- update to 20090319
- using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.16-5mdv2009.0
+ Revision: 242140
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 0.16-3mdv2008.0
+ Revision: 23624
- rebuild


* Wed Apr 19 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.16-2mdk
- Add BuildRequires

* Sat Apr 08 2006 Arnaud de Lorbeau <devel@mandriva.com> 0.16-1mdk
- Initial MDV RPM

